org.wildfly.swarm.config.elytron

## Class MechanismProviderFilteringSASLServerFactory<T extends MechanismProviderFilteringSASLServerFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.MechanismProviderFilteringSASLServerFactory<T>

-     public class MechanismProviderFilteringSASLServerFactory<T extends MechanismProviderFilteringSASLServerFactory<T>>
      extends Object

  A SaslServerFactory definition that wraps another SaslServerFactory and enables filtering of mechanisms based on the mechanism name and Provider name and version. Any mechanisms loaded by factories not located using a Provider will not be filtered by this definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MechanismProviderFilteringSASLServerFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this factory after all filtering has been applied.
    `Boolean` | `enabling()` When set to 'true' no provider loaded mechanisms are enabled unless matched by one of the filters, setting to 'false' has the inverse effect.
    `T` | `enabling(Boolean value)` When set to 'true' no provider loaded mechanisms are enabled unless matched by one of the filters, setting to 'false' has the inverse effect.
    `T` | `filter(Map value)` The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.
    `List<Map>` | `filters()` The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.
    `T` | `filters(List<Map> value)` The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.
    `T` | `filters(Map... args)` The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslServerFactory()` Reference to a sasl server factory to be wrapped by this definition.
    `T` | `saslServerFactory(String value)` Reference to a sasl server factory to be wrapped by this definition.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MechanismProviderFilteringSASLServerFactory

          public MechanismProviderFilteringSASLServerFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### enabling

          public Boolean enabling()

      When set to 'true' no provider loaded mechanisms are enabled unless matched by one of the filters, setting to 'false' has the inverse effect.

    - #### enabling

          public T enabling(Boolean value)

      When set to 'true' no provider loaded mechanisms are enabled unless matched by one of the filters, setting to 'false' has the inverse effect.

    - #### filters

          public List<Map> filters()

      The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.

    - #### filters

          public T filters(List<Map> value)

      The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.

    - #### filter

          public T filter(Map value)

      The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.

    - #### filters

          public T filters(Map... args)

      The filters to apply when comparing the mechanisms from the providers, a filter matches when all of the specified values match the mechanism / provider pair.

    - #### saslServerFactory

          public String saslServerFactory()

      Reference to a sasl server factory to be wrapped by this definition.

    - #### saslServerFactory

          public T saslServerFactory(String value)

      Reference to a sasl server factory to be wrapped by this definition.

Copyright © 2018 JBoss by Red Hat. All rights reserved.